<?php



/*



=======================================
Автор: Искатель
Автор модификации: Dark_AKC
=======================================



*/



include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';



/* Бан пользователя */ 



if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)



{



header('Location: /ban.php?'.SID);exit;



}



only_reg();







$set['title']='Блоги';



include_once '../../sys/inc/thead.php';



title();



aut();











if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){



header("Location: index.php?".SID);



exit;



}











$notes=mysql_fetch_array(mysql_query("select * from `blog` where `id` = '".intval($_GET['id'])."'"));







if (user_access('notes_edit') || $user['id'] == $notes['id_user'])



{











$avtor = get_user($notes['id_user']);







if (isset($_GET['edit']) && isset($_POST['name']) && isset($_POST['ist']) && $_POST['name']!=NULL && isset($_POST['msg']))



{



$msg=my_esc($_POST['msg']);
$name=my_esc($_POST['name']);

if($_POST['ist'] != NULL)
$ist = my_esc($_POST['ist']);
else
$ist = NULL;

$id_dir=intval($_POST['id_dir']);
//$privat=intval($_POST['private']);
$privat_komm=intval($_POST['private_komm']);







$type=0;





if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>150)$err='Длина названия превышает предел в 150 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>300000)$err='Длина текста превышает предел в 300000 символов';
if (strlen2($ist)>100)$err='Длина источника превышает предел в 100 символов';
if($id_dir=='0')$err = 'Выберите категорию';








if (!isset($err))



{



mysql_query("UPDATE `blog` SET `name` = '$name', `istochnik` = '$ist', `type` = '$type', `id_dir` = '$id_dir', `msg` = '$msg', `private` = '$privat', `private_komm` = '$privat_komm' WHERE `id`='".intval($_GET['id'])."'");







$_SESSION['message'] = 'Изменения успешно приняты';



header("Location: list.php?id=".intval($_GET['id'])."".SID);



exit;



}



}























err();











echo "<div class=\"foot\">\n";



echo "<img src='/style/icons/str2.gif' alt='*'> <a href='index.php'>Блоги</a> | <a href='/id$avtor[id]'>$avtor[nick]</a>\n";



echo " | <a href='list.php?id=$notes[id]'>" . output_text($notes['name']) . "</a> | <b>Редактирование</b>";



echo "</div>\n";







$notes=mysql_fetch_array(mysql_query("select * from `blog` where `id`='".intval($_GET['id'])."';"));







echo "<form method='post' name='message' action='?id=".intval($_GET['id'])."&amp;edit'>\n";



echo "<div class='mess'>* Название: (150 симв)<br />\n<input type=\"text\" name=\"name\" value=\""  . htmlspecialchars($notes['name']) . "\" /></div>\n";



$msg2 = htmlspecialchars($notes['msg']);


echo '<div class="mess">* Статья (300000 симв)';
if (is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';

echo '</div>';


echo "<div class='mess'>Источник: (100 симв)<br />\n<input type=\"text\" name=\"ist\" value=\""  . htmlspecialchars($notes['istochnik']) . "\" /></div>\n";










echo "<div class='mess'>* Категория:<br />\n<select name='id_dir'>\n";
$q=mysql_query("SELECT * FROM `blog_dir` ORDER BY `id` DESC");
echo "<option value='0'".(!$id_dir?" selected='selected'":null)."><b>Выберите категорию</b></option>\n";
while ($post = mysql_fetch_assoc($q)){
echo "<option value='$post[id]'".($id_dir==$post['id']?" selected='selected'":null).">" . htmlspecialchars($post['name']) . "</option>\n";
}
echo "</select><br />\n";

/*

echo "Могут смотреть:<br /><input name='private' type='radio' ".($notes['private']==0?' checked="checked"':null)." value='0' />Все ";
echo "<input name='private' type='radio' ".($notes['private']==1?' checked="checked"':null)." value='1' />Друзья ";
echo "<input name='private' type='radio' ".($notes['private']==2?' checked="checked"':null)." value='2' />Только я<br>";
*/

echo "Могут комментировать:<br /><input name='private_komm' type='radio' ".($notes['private_komm']==0?' checked="checked"':null)." value='0' />Все ";
echo "<input name='private_komm' type='radio' ".($notes['private_komm']==1?' checked="checked"':null)." value='1' />Друзья ";
echo "<input name='private_komm' type='radio' ".($notes['private_komm']==2?' checked="checked"':null)." value='2' />Только я<br>";
echo '</div><div class="mess"><font color=red>*</font> Поля обязательные для заполнения<br>';
echo "<input value=\"Применить\" type=\"submit\" />\n";



echo "</div></form>\n";















echo "<div class=\"foot\">\n";



echo "<img src='/style/icons/str2.gif' alt='*'> <a href='index.php'>Блоги</a> | <a href='/id$avtor[id]'>$avtor[nick]</a>\n";



echo " | <a href='list.php?id=$notes[id]'>" . output_text($notes['name']) . "</a> | <b>Редактирование</b>";



echo "</div>\n";



}



include_once '../../sys/inc/tfoot.php';







?>